import { NativeModules, Platform } from 'react-native';
const { SleepController } = NativeModules;
import BackgroundTimer from 'react-native-background-timer';
const isAndroid = Platform.OS !== 'ios'

export class SleepTimer {

    private timeoutId = null

    public startTimer = (seconds: number, then: () => void) => {
        if (isAndroid) {
            this.timeoutId = BackgroundTimer.setTimeout(then, seconds * 1000)
        } else {
            SleepController.sleepTimer(seconds, then)
        }
    }

    public cancelTimer = () => {
        if (isAndroid) {
            if (this.timeoutId) {
                BackgroundTimer.clearTimeout(this.timeoutId);
            }
        } else {
            SleepController.cancelTimer()
        }
    }
}

export const SleepTimerInstance = new SleepTimer()

export default SleepTimerInstance;
