//
//  SleepController.swift
//  SleepController
//
//  Created by Gabriel Regis on 17/03/20.
//  Copyright © 2020 Facebook. All rights reserved.
//

import Foundation
import AVKit

var player: AVAudioPlayer?
@objc(SleepController) class SleepController: NSObject {
    var task = DispatchWorkItem { }

    @objc(sleepTimer:callback:)
    func sleepTimer(inSeconds: Double, _ callback: @escaping RCTResponseSenderBlock) {
        self.task = DispatchWorkItem { callback([NSNull()]) }
        DispatchQueue.main.asyncAfter(deadline: .now() + inSeconds, execute: self.task)
    }
    
    @objc(cancelTimer)
    func cancelTimer() {
        self.task.cancel()
    }
}
